Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
plus d'opencl sous darktable
#1
j'ai remarqué y a quelques temps que la case "activer  le support d'opencl"  n'etait plus activée..   

j'ai lancé darktable-cltest et j'obtiens



Code :
$ darktable-cltest
[opencl_init] opencl related configuration options:
[opencl_init]
[opencl_init] opencl: 1
[opencl_init] opencl_library: ''
[opencl_init] opencl_memory_requirement: 768
[opencl_init] opencl_memory_headroom: 300
[opencl_init] opencl_device_priority: '*/!0,*/*/*'
[opencl_init] opencl_size_roundup: 16
[opencl_init] opencl_async_pixelpipe: 0
[opencl_init] opencl_synch_cache: 0
[opencl_init] opencl_number_event_handles: 25
[opencl_init] opencl_micro_nap: 1000
[opencl_init] opencl_use_pinned_memory: 0
[opencl_init] opencl_use_cpu_devices: 0
[opencl_init] opencl_avoid_atomics: 0
[opencl_init] opencl_enable_markesteijn: 1
[opencl_init]
[opencl_init] could not find opencl runtime library 'libOpenCL'
[opencl_init] could not find opencl runtime library 'libOpenCL.so'
[opencl_init] found opencl runtime library 'libOpenCL.so.1'
[opencl_init] opencl library 'libOpenCL.so.1' found on your system and loaded
[opencl_init] could not get platforms: -1001
[opencl_init] FINALLY: opencl is NOT AVAILABLE on this system.
[opencl_init] initial status of opencl enabled flag is OFF.

j'ai les références de ma carte graphique.  
$ lspci -nn | grep VGA01:05.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] RS780L [Radeon 3000] [1002:9616]


$ lsb_release -a
LSB Version:    core-9.20160110ubuntu0.2-amd64:core-9.20160110ubuntu0.2-noarch:security-9.20160110ubuntu0.2-amd64:security-9.20160110ubuntu0.2-noarch
Distributor ID:    LinuxMint
Description:    Linux Mint 18 Sarah
Release:    18
Codename:    sarah

je voudrais savoir si opencl  est bien installé  sur linux mint   et ensuite comment l'activer pour darktable. 

merci à tous de me permettre de faire tourner darktable plus rapidement (surtout avec le traitement du bruit).
Répondre
#2
Désolé, bien qu'étant sous Mint, je ne peux pas t'aider ma carte Radeon ne supporte pas l'OpenCL. J'ai essayé d'installer un driver. Depuis la version 16.04 d'Ubuntu, AMD ne fournit plus de driver pour Linux et le driver libre ne prend pas ma carte pour l'OpenCL
Répondre
#3
Comme le dis jpg54, le support d'opencl nécessite le driver propriétaire. Malheureusement AMD a changé de politique et de drivers récemment : l'ancien driver n'est plus supporté, et le nouveau a un support matériel très limité, les « vieilles » cartes ne sont plus supportées (et une carte qui a 2 ans est considérée comme « vieille »). Par ailleurs, AMD cible les professionnels, et donc ne fournit ses drivers que pour les distribs majeures, en version LTS, donc même pas gagné que tu arrives à installer les drivers sur une Linux Mint.

D'après http://support.amd.com/en-us/kb-articles...Notes.aspx, ta carte n'a pas l'air d'être dans la liste des heureuses élues :-(.

J'ai bien peur que les deux solutions soient : réinstaller une vieille distrib avec l'ancien driver, ou changer de carte graphique.
Répondre
#4
merci de me rafraîchir la mémoire, c'est avec AMDGPU-PRO que j'ai essayé de forcé l'installation d'un driver pour l'OpenCL. Je te déconseille de le faire. Il faudra que tu désinstalles en ligne de commandes enfin tu es un pro de la ligne de commande mais pas moi.
Répondre
#5
Intel n'est pas supporté non plus pour l'OpenCL. Les seules cartes qui fonctionnent en ce moment, ce sont les Nvidia. Nvidia que tu peux mettre sans problème sur ta CM à base d'AMD
Mes photos : jpverrue.fr
Répondre
#6
Sans l'OpenCl darktable fonctionne tout de même très bien !
Répondre
#7
Je me demande de travailler sur un disque SSD ?
Répondre
#8
(26/08/17, 18:09)patrick L a écrit : bonsoir

j'ai un sg3-130fr qui date un peu.   et les ssd   ont pas une tres bonne durée de vie.   au bout d'un nombre d'ecritures sur un secteur,    le disque tombe en panne.

D'où tiens-tu cette information ?

D'où tiens-tu cette information ?
Répondre
#9
D'ailleurs, si vous avez un SSD il n'est pas conseillé d'y mettre un SWAP (enfin c'est ce que beaucoup disent à cause justement des sollicitations d'échanges)
Répondre
#10
Pour l'instant, j'ai un ssd samsung 750 EVO 500GB, j'ai mis le swap dessus et pour l'instant j'ai pas de problème depuis 6 mois que je l'utilise. Vous avez des liens sur ces problèmes ?
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)